Subject: Re: [PATCH net-next v12 0/5] eea: Add basic driver framework for Alibaba Elastic Ethernet Adaptor

From: Jakub Kicinski <[email-masked]>
Date: Fri, 7 Nov 2025 18:20:26 -0800

On Fri,  7 Nov 2025 14:07:46 +0800 Xuan Zhuo wrote:
> Add a driver framework for EEA that will be available in the future.
> 
> This driver is currently quite minimal, implementing only fundamental
> core functionalities. Key features include: I/O queue management via
> adminq, basic PCI-layer operations, and essential RX/TX data
> communication capabilities. It also supports the creation,
> initialization, and management of network devices (netdev). Furthermore,
> the ring structures for both I/O queues and adminq have been abstracted
> into a simple, unified, and reusable library implementation,
> facilitating future extension and maintenance.

The rule is one posting in 24h. If you mess up - you must wait.

I'm discarding this. Repost again next week.